=== debian/control ===
Source: wims
Section: web
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends-Indep: uglifyjs, php
Build-Depends: debhelper-compat (= 13),
 texlive-base,
 po-debconf, 
 libgd-dev,
 autoconf,
 automake,
 shtool,
 bison,
 flex,
 apache2-dev,
 libwebservice-validator-html-w3c-perl,
 libwebservice-validator-css-w3c-perl,
 imagemagick|graphicsmagick-imagemagick-compat
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/wims.git
Vcs-Git: https://salsa.debian.org/science-team/wims.git

Package: wims
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat, 
 pari-gp, gnuplot, maxima (>=5.26.0), maxima-share,
 octave, fortunes, cpp,
 texlive-base, texlive-latex-base, texlive-fonts-recommended, 
 mailutils| mailx, units-filter (>=3.5), chemeq (>=2.12), graphviz,
 ldap-utils, libapache2-mod-fcgid, qrencode,
 wims-modules (>= ${source:Version})
Recommends: ${misc:Recommends},
 yacas, gap, wims-help, wims-java-applets (= ${source:Version})
Replaces: wims-java-applets (<< 4.05b~dfsg1-4)
Breaks: wims-java-applets (<< 4.05b~dfsg1-4)
Description: server for educational content: courses, exercises, and exams
 The WWW Interactive Multipurpose Server is an educational platform
 originally developed for mathematics but now also supporting subjects such
 as physics, chemistry, biology, and languages.
 .
 WIMS features a rich set of resources and exercises either for
 autodidactical use or for training classes, including:
 .
  * exercises with automatic feedback and correction, allowing the
    learners to work at their own pace;
  * interactive exercises with randomly assigned data, allowing the
    learners to work on the same type of exercise but with different
    data and as often as they wish;
  * exercises with an automatic scoring system, which enhances learner
    motivation;
  * user-friendly graphics and calculation tools;
  * courses and documents with hyperlinks to the exercise pool;
    examples in the courses can be made random, so the student can get
    more than one instance of an illustration for tricky concepts;
  * support for exams with pre-published contents. As each individual
    exam will have randomly chosen data, training is possible but
    writing each response in advance is not.
 .
 This package contains the WIMS FastCGI server, serving Open Exercise
 Format (OEF) documents. OEF is a very high-level language which
 allows authors to focus on pedagogical issues.

Package: wims-modules
Architecture: all
Depends: ${misc:Depends},
 libjs-prototype, node-normalize.css,
 libjs-jquery, libjs-jquery-metadata, libjs-asciimathml,
Breaks:  wims (<< 4.15b~dfsg1-9)
Replaces:  wims (<< 4.15b~dfsg1-9)
Description: minimal set of modules used by WIMS
 WIMS uses modules to implement every user interface beyond its main page,
 including administrative tasks, help, mathematic tools, libraries, and a
 few interactive exercises.
 .
 To get the thousands of exercises which give WIMS its power, consider
 installing the recommended package wims-extra-all (or other packages
 which provide wims-extra).
 .
 Other educational materials can be downloaded outside of the Debian
 system by automated updates. See http://wimsedu.info

Package: wims-java-applets
Architecture: all
Depends: ${misc:Depends}
Description: applets for modules used by WIMS
 WIMS uses modules to implement every user interface beyond its main page.
 Some of them depend on Java applets; this package provides the collection
 of free applets which are maintained upstream.
 .
 Some interesting applets like Jmol are missing, since they still cannot
 be built from their source with free/libre compilers. You can get them
 from their upstream developers. 

Package: flydraw
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat
Description: command-line drawing tool
 flydraw is a drawing tool based on an interpreter which parses a
 language featuring rich graphic primitives; it uses libgd to output
 GIF, JPEG, or PNG files.
