=== debian/changelog ===
wims (1:4.21f~dfsg1-2) unstable; urgency=medium

  * created a debian patch to cheat in Wims' tinymce.phtml file;
    its features are now provided by ckeditor which is well packaged
    inside Debian.
  * replaced a dependency: tinymce -> ckeditor; Closes: #987728

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 29 Apr 2021 20:25:42 +0200

wims (1:4.21f~dfsg1-1) unstable; urgency=medium

  * new upstream version 4.21f
  * removed obsolete lintian overrides, and added new ones
  * replaced uglifyjs by js-beautify or uglifyjs.terser
  * removed obsolete java sources
  * added dependencies on libjs-jquery-ui, libjs-marked, libjs-slick
  * improved the scripts "dfsg-scripts"
  * updated Makefiles for debian
  * dropped the empty package wims-java-applets; this package was necessary
    for wims when some features implemented by Joke Evers were implemented
    as java applets; nowadays all of those features are reimplemented in
    javascript; the java source are still part of the upstream source, but
    no longer used, as asserted by e-mails exchanged by wims developers.
    Closes: #987463
  * simplified wims.postinst since there are no longer various apache
    servers in Debian ; removed also wims.templates, wims.config and the
    subdirectory debian/po/

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Apr 2021 18:42:16 +0200
