=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends-Indep: uglifyjs, php
+Build-Depends-Indep: node-js-beautify, uglifyjs.terser, php
 Build-Depends: debhelper-compat (= 13),
  texlive-base,
  po-debconf, 
@@ -32,7 +32,7 @@
  ldap-utils, libapache2-mod-fcgid, qrencode,
  wims-modules (>= ${source:Version})
 Recommends: ${misc:Recommends},
- yacas, gap, wims-help, wims-java-applets (= ${source:Version})
+ yacas, gap, wims-help
 Replaces: wims-java-applets (<< 4.05b~dfsg1-4)
 Breaks: wims-java-applets (<< 4.05b~dfsg1-4)
 Description: server for educational content: courses, exercises, and exams
@@ -65,8 +65,16 @@
 Package: wims-modules
 Architecture: all
 Depends: ${misc:Depends},
- libjs-prototype, node-normalize.css,
- libjs-jquery, libjs-jquery-metadata, libjs-asciimathml,
+ libjs-prototype,
+ node-normalize.css,
+ libjs-jquery,
+ libjs-jquery-metadata,
+ libjs-slick,
+ libjs-jquery-ui,
+ libjs-jquery-ui-theme-smoothness,
+ libjs-asciimathml,
+ libjs-marked,
+ ckeditor
 Breaks:  wims (<< 4.15b~dfsg1-9)
 Replaces:  wims (<< 4.15b~dfsg1-9)
 Description: minimal set of modules used by WIMS
@@ -81,18 +89,6 @@
  Other educational materials can be downloaded outside of the Debian
  system by automated updates. See http://wimsedu.info
 
-Package: wims-java-applets
-Architecture: all
-Depends: ${misc:Depends}
-Description: applets for modules used by WIMS
- WIMS uses modules to implement every user interface beyond its main page.
- Some of them depend on Java applets; this package provides the collection
- of free applets which are maintained upstream.
- .
- Some interesting applets like Jmol are missing, since they still cannot
- be built from their source with free/libre compilers. You can get them
- from their upstream developers. 
-
 Package: flydraw
 Section: graphics
 Architecture: any
