## wims 4.22~dfsg1

=== debian/changelog ===
wims (2:4.22~dfsg1-2) unstable; urgency=medium

  * new source upload, to reach unstable. Closes: #992427
  * updated source/lintian-overrides, about
    third-parties/foundation-sites-6.6.3 : most errors are due to long
    one liners, which are still human-readable (the source is *not*
    obfuscated).
  * updated source/lintian-overrides, about
    third-parties/tablesort-5.0.2/demo/_layouts/default.html which features
    a privacy breach; added a line in debian/rules to remove
    third-parties/tablesort-5.0.2/demo from the debian package
  * updated source/lintian-overrides, about
    third-parties/tablesort-5.0.2/test/tape.js which begins with
    a poorly human-readable expression, which was probably blindly copied
    from some other file (the remainder of the file tape.js is *not*
    obfuscated). As this file is part of a tests suite, it is just
    removed from the debian package (in the target `clean` of debian/rules)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 21 Aug 2021 13:36:46 +0200

wims (2:4.22~dfsg1-1) experimental; urgency=medium

  * new upstream version downloaded; checked that there is no
    wims/src/Misc/applets/Lattice directory
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Aug 2021 20:22:17 +0200

wims (2:4.21f~dfsg1-3) UNRELEASED; urgency=medium

  * modified the file d/get-latest-source to exclude
    wims/src/Misc/applets/Lattice/ which triggered bug #992088,
    in order to download latest upstream sources

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Aug 2021 20:09:29 +0200

wims (2:4.17b+svn13454~dfsg2-1) unstable; urgency=medium

  * created a Git branch debian/bugfix-992088
  * made a new orig tarball without files
    wims/src/Misc/applets/Lattice/src/LatticeViewer.java and
    wims/src/Misc/applets/Lattice/src/Matrix3D.java
    (the subdirectory wims/src/Misc/applets/Lattice was removed)
    Closes: #992088
  * removed useless directories wims/src/Misc/chemeq/debian and
    wims/src/Misc/units-filter/debian
  * updated the debian patch modifying java builds
  * checked the new build process in a fresh chroot

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Aug 2021 13:28:13 +0200
