=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,11 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	[ ! -f Makefile.for.debian ] || $(MAKE) clean
+	# remove useless files which contain a privacy breach
+	# (precisely: third-parties/tablesort-5.0.2/demo/_layouts/default.html,
+	# and third-parties/tablesort-5.0.2/test/tape.js)
+	rm -rf third-parties/tablesort-5.0.2/demo
+	rm -rf third-parties/tablesort-5.0.2/test
 
 override_dh_auto_build-indep:
 	$(MAKE) all-indep
