=== debian/changelog ===
wims (2:4.27a+dfsg1-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2024 18:05:29 +0100

wims (2:4.27a+dfsg1-3) unstable; urgency=medium

  * use autoreconf --install to create wims/src/configure
  * improved the clean target in d/rules

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2024 16:12:31 +0100

wims (2:4.27a+dfsg1-2) unstable; urgency=medium

  * fixed the regexp to mangle package name in debian/watch
  * erased the line below about bookworm_backport

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Dec 2023 12:24:10 +0100

wims (2:4.27a+dfsg1-1) unstable; urgency=medium

  [ Jean Charles Delépine ]
  * New upstream release 4.27a+dfsg1 Closes: #1057032
  * Non-maintainer upload.
  * refreshed debian patches
  * terser replace uglifyjs.terser Closes: #1001029
  * remove autoconf from debian rules Closes: #997720
  * add ctime.h to wims_mathml.cc
  * Force MathML=yes
  * add dependency to libwebservice-validator-html-w3c-perl 
    to make SSO CAS working
  * wims-modules: don't fail on postrm if /var/lib/wims is a mount point
  * wims-modules: add dependency to libjs-mootools, jsxgraph, yui-compressor and
    asciidoc-common Closes: #988894
  * wims-modules: add dependency to libjs-edit-area and remove it from
    third-parties
  * wims-modules: depend node-mathjax-full and make a symlink in scripts/js
  * wims-modules: various foundation.sh corrections
  * wims-modules: call foundation.sh from Makefile.for.debian

  [ Georges Khaznadar ]
  * replaced the tilde "~" by a plus sign in the package name.
  * added lintian overrides for source files which triggered lintian errors
    but are human-readable.
  * modified the file tablesort.sh in the debian patches to delete a file which
    is sneaking in with a link to
    https://d2dq2ahtl5zl1z.cloudfront.net/analytics.js, and the
    subdirectory test/ which contains a file with too long lines.
  * modified debian/get-latest-source to remove more sourceless contents from
    the upstream source package
  * patched the Makefile.in files to introduce $(CPPFLAGS) into default
    build commands for C sources.

 -- Jean Charles Delépine <delepine@u-picardie.fr>  Wed, 29 Nov 2023 18:10:09 +0100
