=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends-Indep: node-js-beautify, uglifyjs.terser, php
+Build-Depends-Indep: node-js-beautify, terser, php
 Build-Depends: debhelper-compat (= 13),
  texlive-base,
  po-debconf, 
@@ -30,6 +30,7 @@
  texlive-base, texlive-latex-base, texlive-fonts-recommended, 
  mailutils| mailx, units-filter (>=3.5), chemeq (>=2.12), graphviz,
  ldap-utils, libapache2-mod-fcgid, qrencode,
+ libwebservice-validator-html-w3c-perl,
  wims-modules (>= ${source:Version})
 Recommends: ${misc:Recommends},
  yacas, gap, wims-help
@@ -74,7 +75,13 @@
  libjs-jquery-ui-theme-smoothness,
  libjs-asciimathml,
  libjs-marked,
- ckeditor
+ libjs-mootools,
+ libjs-edit-area,
+ node-mathjax-full,
+ jsxgraph,
+ ckeditor,
+ asciidoc-common,
+ yui-compressor
 Breaks:  wims (<< 4.15b~dfsg1-9)
 Replaces:  wims (<< 4.15b~dfsg1-9)
 Description: minimal set of modules used by WIMS
