=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,8 @@
 	# and third-parties/tablesort-5.0.2/test/tape.js)
 	rm -rf third-parties/tablesort-5.0.2/demo
 	rm -rf third-parties/tablesort-5.0.2/test
+	# clean configuration files
+	rm -f wims/src/config.guess wims/src/config.sub
 
 override_dh_auto_build-indep:
 	$(MAKE) all-indep
@@ -34,7 +36,8 @@
 	$(MAKE) all-arch
 
 override_dh_auto_configure:
-	cd wims/src; autoreconf && ./configure --without-units --without-chemeq --without-wimsd $(shell dpkg-buildflags --export=cmdline)
+	cd wims/src; autoreconf --install
+	cd wims/src; ./configure --without-units --without-chemeq --without-wimsd $(shell dpkg-buildflags --export=cmdline)
 	# those directories seem to be necessary for the build
 	mkdir -p wims/lib
 	mkdir -p wims/tmp/log
