## wims 4.27b+dfsg1

=== debian/changelog ===
wims (2:4.27b+dfsg1-2) unstable; urgency=medium

  * patched file src/Misc/canvasdraw/canvasdraw.c
    Closes: #1066312

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 13 Mar 2024 16:10:35 +0100

wims (2:4.27b+dfsg1-1) experimental; urgency=medium

  * added the configuration file d/gb.conf for git-build-package
  * the script debian/get/latest-source is no longer used to import new
    upstream version; instead `gbp import-orig` does the job. The upstream
    package is no longer imported under directory wims/, but in ./
    (as in usual packages). Details of those modifications are given in
    d/README.source
  * excluded files which were managed by debian/get/latest-source
    are managed by `gbp import-orig`, thanks to the "filter" feature;
    third-party packages are managed thanks to the "components" feature
  * updated debian patches: removed wims/ for paths, removed also wims/ from
    paths previously defined in the file "Makefile.for.debian"
  * New upstream version 4.27b+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Mar 2024 17:50:09 +0100
