=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,6 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	[ ! -f Makefile.for.debian ] || $(MAKE) clean
-	# remove useless files which contain a privacy breach
-	# (precisely: third-parties/tablesort-5.0.2/demo/_layouts/default.html,
-	# and third-parties/tablesort-5.0.2/test/tape.js)
-	rm -rf third-parties/tablesort-5.0.2/demo
-	rm -rf third-parties/tablesort-5.0.2/test
-	# clean configuration files
-	rm -f wims/src/config.guess wims/src/config.sub
 
 override_dh_auto_build-indep:
 	$(MAKE) all-indep
@@ -36,11 +29,11 @@
 	$(MAKE) all-arch
 
 override_dh_auto_configure:
-	cd wims/src; autoreconf --install
-	cd wims/src; ./configure --without-units --without-chemeq --without-wimsd $(shell dpkg-buildflags --export=cmdline)
+	cd src; autoreconf --install
+	cd src; ./configure --without-units --without-chemeq --without-wimsd $(shell dpkg-buildflags --export=cmdline)
 	# those directories seem to be necessary for the build
-	mkdir -p wims/lib
-	mkdir -p wims/tmp/log
+	mkdir -p lib
+	mkdir -p tmp/log
 
 
 override_dh_auto_install-indep:
