## wims 4.27c+dfsg1

=== debian/changelog ===
wims (2:4.27c+dfsg1-1) unstable; urgency=medium

  * [6ba7114] interpreted more tightly the manpage for strcasestr
  * [0d695ee] New upstream version 4.27c+dfsg1
  * updated debian patches, removed some of them as they were applied upstream

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 25 May 2024 13:44:57 +0200
