## wims 4.28+dfsg1

=== debian/changelog ===
wims (2:4.28+dfsg1-1) unstable; urgency=medium

  * [0f4c1ea] New upstream version 4.28+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Nov 2024 17:15:56 +0100
