## wims 4.29a+dfsg1

=== debian/changelog ===
wims (2:4.29a+dfsg1-2) unstable; urgency=medium

  * upload to unstable
  * bumped Standards-Version: 4.7.2
  * not enforcing the use of gcc-15

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Mar 2025 16:56:37 +0100

wims (2:4.29a+dfsg1-1) experimental; urgency=medium

  * [09132e0] New upstream version 4.29a+dfsg1
  * new patch d/patches/gcc-15.patch, because "true" and 'false" are reserved
    words with gcc-15. Closes: #1098095
  * enforced the use of gcc-15

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Mar 2025 10:39:07 +0100
