=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libwebservice-validator-html-w3c-perl,
  libwebservice-validator-css-w3c-perl,
  imagemagick|graphicsmagick-imagemagick-compat
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/wims.git
 Vcs-Git: https://salsa.debian.org/science-team/wims.git
