=== debian/changelog ===
wims (2:4.30+dfsg1-1) unstable; urgency=medium

  * [dc8ef02] New upstream version 4.30+dfsg1
  * deleted patch deian/gcc-15.patch, which is applied upstream

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Jul 2025 17:21:21 +0200

wims (2:4.29a+dfsg1-3) unstable; urgency=medium

  * removed the dependency wims-modules -> ckeditor, since this dependency
    was dropped by upstream developers some time ago. Closes: #1104594

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 03 May 2025 09:14:49 +0200
