=== debian/control ===
--- 
+++ 
@@ -79,7 +79,6 @@
  libjs-edit-area,
  node-mathjax-full,
  jsxgraph,
- ckeditor,
  asciidoc-common,
  yui-compressor
 Breaks:  wims (<< 4.15b~dfsg1-9)
