=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	[ ! -f Makefile.for.debian ] || $(MAKE) clean
+	rm -f src/config.log
 
 override_dh_auto_build-indep:
 	$(MAKE) all-indep
