## wims 4.31+dfsg1

=== debian/changelog ===
wims (2:4.31+dfsg1-2) unstable; urgency=medium

  * [32a1aed] /var/lib/wims/bin and /var/lib/wims/bases/sys are no longer
    rwx------

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Feb 2026 22:42:56 +0100

wims (2:4.31+dfsg1-1) unstable; urgency=medium

  * added a default file for log/wims.conf
  * [3e01a20] New upstream version 4.31+dfsg1
  * [6db2bc0] fixed debian/series
  * [51c64f0] fixed debian/series
  * [f37e42e] remove macos resource fork files
  * [1b10838] bumped version for debian/watch
  * [6ecf0e9] fixed some file patterns in d/copyright
  * [5a7e5d8] fixed dependencies
  * [aaded92] fixed d/patches/series
  * [946a1ef] remove MacOS store files
  * [68d33d1] changed the dependency gnuplot --> gnuplot-nox
  * [d17eda3] added useless files to filters

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Feb 2026 17:19:32 +0100
