=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	dh_auto_clean
 	[ ! -f Makefile.for.debian ] || $(MAKE) clean
 	rm -f src/config.log
+	find public_html -name "._*" -o -name ".DS_Store"| xargs rm -f
 
 override_dh_auto_build-indep:
 	$(MAKE) all-indep
