=== debian/watch ===
# not a real watch file
# downloads will be done with uscan, then gbp import-orig
# will filter out unwanted source files and add components for other archives

version=4
opts="dversionmangle=s/\+dfsg\d+$//" \
https://sourcesup.renater.fr/frs/?group_id=379 /frs/download.php/file/[0-9]*/wims-([0-9][.0-9]*[a-z]*).tgz \
debian uupdate
